> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Mass Message (/api-reference/mass-messaging/send-mass-message)

Send a mass message to lists and/or users. You may use both the `userLists` and `userIds` parameters to send the same message to both lists and individual users.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml post /api/{account}/mass-messaging
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/mass-messaging:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    post:
      summary: Send Mass Message
      operationId: sendMassMessage
      description: Send a mass message to lists and/or users. You may use both the
        `userLists` and `userIds` parameters to send the same message to both
        lists and individual users.
      parameters: []
      responses:
        "200":
          description: ""
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 123
                    date: 2025-01-01T01:01:01+00:00
                    isReady: true
                    isDone: false
                    total: -1
                    pending: 0
                    canUnsend: true
                    unsendSeconds: 1000000
                    hasError: false
                    isCanceled: false
                    isCouplePeopleMedia: false
                  _meta:
                    _credits:
                      used: 1
                      balance: 967
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 1000
                      limit_day: 50000
                      remaining_minute: 998
                      remaining_day: 49992
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 123
                      date:
                        type: string
                        example: 2025-01-01T01:01:01+00:00
                      isReady:
                        type: boolean
                        example: true
                      isDone:
                        type: boolean
                        example: false
                      total:
                        type: integer
                        example: -1
                      pending:
                        type: integer
                        example: 0
                      canUnsend:
                        type: boolean
                        example: true
                      unsendSeconds:
                        type: integer
                        example: 1000000
                      hasError:
                        type: boolean
                        example: false
                      isCanceled:
                        type: boolean
                        example: false
                      isCouplePeopleMedia:
                        type: boolean
                        example: false
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 967
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 1000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 998
                          remaining_day:
                            type: integer
                            example: 49992
      tags:
        - Mass Messaging
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                userLists:
                  type: array
                  description: Array of user list IDs that the mass message will be sent to.
                  example:
                    - fans
                    - recent
                    - following
                    - rebill_off
                    - tagged
                    - 1234567890
                  items:
                    type: string
                excludedLists:
                  type: array
                  description: Array of user list IDs that the mass message will NOT be sent to.
                  example:
                    - fans
                    - recent
                    - following
                    - rebill_off
                    - tagged
                    - 1234567890
                  items:
                    type: string
                userIds:
                  type: array
                  description: Array of user IDs that the mass message will be sent to.
                  example:
                    - 1234567890
                  items:
                    type: string
                text:
                  type: string
                  description: The message text content
                  example: Hello!
                lockedText:
                  type: boolean
                  description: Whether the text should be shown or hidden
                  example: true
                price:
                  type: integer
                  description: Price for paid content (0 or between 3-200). In case this is not
                    zero, **mediaFiles** is required
                  example: 100
                mediaFiles:
                  type: array
                  description: Direct file uploads, OFAPI `ofapi_media_` IDs, or OF vault IDs.
                    Will be hidden if `price` is provided.
                  example:
                    - ofapi_media_abc123
                    - 1234567890
                  items:
                    type: file[]|string
                previews:
                  type: array
                  description: Direct file uploads, OFAPI `ofapi_media_` IDs, OF vault IDs, or
                    integer indices referencing uploaded files in `mediaFiles`.
                    Will be shown if `price` is provided.
                  example:
                    - ofapi_media_abc123
                    - 1234567890
                  items:
                    type: file[]|string[]|int
                giphyId:
                  type: string
                  description: The ID of the Giphy GIF to attach to the message. Get IDs from the
                    Giphy listing endpoints (`/giphy/trending`,
                    `/giphy/search`).
                  example: WAGC3LeqJvXglm5H7a
                rfTag:
                  type: string
                  description: Array of OnlyFans Creator User IDs to tag in your mass message
                  example: null
                rfPartner:
                  type: string
                  description: Array of OnlyFans Release Form Partners IDs to tag in your mass
                    message
                  example: null
                rfGuest:
                  type: string
                  description: Array of OnlyFans Release Form Guest IDs to tag in your mass
                    message
                  example: null
                scheduledDate:
                  type: string
                  description: Schedule the chat message in the future (UTC timezone).
                  example: 2025-01-01T00:00:00.000Z
                saveForLater:
                  type: boolean
                  description: Add your message to the "Saved for later" queue.
                  example: true
              required:
                - text
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````